Skip to main content
POST
/
v1
/
webhooks
Create Webhook
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "technicalContactId": "<string>",
  "events": [
    "EXPORT_READY"
  ],
  "status": "ACTIVE"
}
'
{
  "version": 123,
  "name": "<string>",
  "url": "<string>",
  "technicalContactId": "<string>",
  "events": [
    "EXPORT_READY"
  ],
  "status": "ACTIVE",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "publicKey": "<string>",
  "keyGenerationTimestamp": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the webhook.

url
string
required

The URL to which the webhook will send notifications.

technicalContactId
string
required

A reference to an administrative user used to inform system administrators of issues with the webhooks.

events
enum<string>[]
required

A list of events that will trigger this webhook.

Required array length: 1 - 2147483647 elements
Available options:
EXPORT_READY,
FILE_MANAGER_FILE_ADDED,
INGESTION_COMPLETE,
INGESTION_FAILED,
INGESTION_ANALYSIS_COMPLETE,
INGESTION_ANALYSIS_FAILED,
UNMAPPED_ACCOUNTS_DETECTED,
ENGAGEMENT_CREATED,
ENGAGEMENT_UPDATED,
ENGAGEMENT_DELETED,
ANALYSIS_CREATED,
ANALYSIS_UPDATED,
ANALYSIS_DELETED,
ANALYSIS_ARCHIVED,
ANALYSIS_UNARCHIVED,
USER_INVITED,
USER_STATUS_UPDATED,
USER_ROLE_UPDATED,
USER_DELETED,
USER_LOGIN
status
enum<string>
required

The current status of the webhook.

Available options:
ACTIVE,
INACTIVE

Response

201 - application/json

Created

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the webhook.

url
string
required

The URL to which the webhook will send notifications.

technicalContactId
string
required

A reference to an administrative user used to inform system administrators of issues with the webhooks.

events
enum<string>[]
required

A list of events that will trigger this webhook.

Required array length: 1 - 2147483647 elements
Available options:
EXPORT_READY,
FILE_MANAGER_FILE_ADDED,
INGESTION_COMPLETE,
INGESTION_FAILED,
INGESTION_ANALYSIS_COMPLETE,
INGESTION_ANALYSIS_FAILED,
UNMAPPED_ACCOUNTS_DETECTED,
ENGAGEMENT_CREATED,
ENGAGEMENT_UPDATED,
ENGAGEMENT_DELETED,
ANALYSIS_CREATED,
ANALYSIS_UPDATED,
ANALYSIS_DELETED,
ANALYSIS_ARCHIVED,
ANALYSIS_UNARCHIVED,
USER_INVITED,
USER_STATUS_UPDATED,
USER_ROLE_UPDATED,
USER_DELETED,
USER_LOGIN
status
enum<string>
required

The current status of the webhook.

Available options:
ACTIVE,
INACTIVE
id
string

The unique object identifier.

creationDate
string<date-time>
lastModifiedDate
string<date-time>
createdUserInfo
User Info · object
read-only
lastModifiedUserInfo
User Info · object
read-only
publicKey
string

The public key used to verify the webhook signature.

keyGenerationTimestamp
string<date-time>